<?php

namespace App\Traits;

use App\Models\Permission;
use App\Models\Role;
use App\Models\User;

trait OrginaizePermissionTrait
{
    public function OrginaizePermission()
    {
        $permissions = [];
        // $allPermissions = Permission::all();
        $allPermissions = Permission::whereIn("name", auth()->user()->user_permissions())->get();


        foreach ($allPermissions as $permission) {
            $n = explode('-', $permission->name);
            // dump(  $n );
            // if (!in_array($n[1], $names)) {
            //     $names[] = $n[1];
            // }
            $permissions[$n[1]][] = $permission;
        }
        return $permissions;
    }
    public   function filterUserForCurrentUser($user){
        $authuser_permissions = auth()->user() ? auth()->user()->user_permissions():[];
        return   count(array_diff($user->user_permissions(), $authuser_permissions)) == 0;
    }
    public   function filterUsersForCurrentUser()
    {   
        $authuser_permissions = auth()->user() ? auth()->user()->user_permissions() : [];
        $filteredUser = User::all()->filter(function ($user) use ($authuser_permissions) {
          return   count(array_diff($user->user_permissions(), $authuser_permissions)) == 0;
        });


        return  $filteredUser;
    }
    public   function filterRoleForCurrentUser($role){
        $user_permissions = auth()->user() ? auth()->user()->user_permissions() : [];

        return   count(array_diff($role->permissions()->pluck("name")->toArray(), $user_permissions)) == 0;
    }
    public   function filterRolesForCurrentUser(){
        $user_permissions = auth()->user() ? auth()->user()->user_permissions() : [];
        $filteredRole = Role::all()->filter(function ($role) use ($user_permissions) {
            return   count(array_diff($role->permissions()->pluck("name")->toArray(), $user_permissions)) == 0;
        });
        return  $filteredRole;
    }
    // public   function filterRolesForCurrentUser()
    // {
    //     $user_permissions = auth()->user() ? auth()->user()->user_permissions() : [];

    //     // $filteredRole =Role::all()->filter(function($role) use ( $user_permissions){


    //     //     return   !empty(array_diff($user_permissions, $role->permissions()->pluck("name")->toArray()));


    //     //  }) ->filter(function($role){


    //     //      return  $role->name != "superadmin";
    //     //  })->map(function ($d){

    //     //      return collect($d->toArray())
    //     //          ->only(['id', 'display_name'])
    //     //          ->all();
    //     //  })->values() ;

    //     $filteredRole = Role::all()->filter(function ($role) use ($user_permissions) {


    //         //  return    array_intersect( $role->permissions()->pluck("name")->toArray(),$user_permissions);
    //         //  return   !empty(array_diff($user_permissions, $role->permissions()->pluck("name")->toArray()));
    //         //  return   count(array_diff($user_permissions, $role->permissions()->pluck("name")->toArray())  ) ==0;
    //         return   count(array_diff($role->permissions()->pluck("name")->toArray(), $user_permissions)) == 0;
    //     })->map(function ($d) {

    //         return collect($d->toArray())
    //             ->only(['id', 'display_name'])
    //             ->all();
    //     })->values();


    //     return  $filteredRole;
    // }
}
