<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCalendarHijrisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    //     user_id
    // calendar_tipyans_id
    // day
    // month
    // year
    // yearm
    public function up()
    {
        Schema::create('calendar_hijris', function (Blueprint $table) {
            $table->id();
           $table->integer("user_id")->nullable();
            $table->unsignedBigInteger('calendar_tipyans_id');
            $table->foreign('calendar_tipyans_id')->references('id')->on('calendar_tepyans')->onDelete('cascade');
            $table->integer('day');
            $table->integer('month');
            $table->integer('year');
            $table->integer('yearm');
            // $table->enum('type_presences', ['A', 'B','C','D']);
            // $table->time('time_in')->time()->nullable();
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('calendar_hijris');
    }
}
