<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePhrasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */


    // title
    // details
    // said
    // date
    // title_en
    // details_en
    // said_en
    // show_before
    // show_hijris
    // day
    // month
    // show_alert
    // show_alert_time_in


    public function up()
    {
        Schema::create('phrases', function (Blueprint $table) {
            $table->id();
           $table->integer("user_id")->nullable();
            $table->text('title')->nullable();
            $table->text('details')->nullable();
            // $table->string('title',1500);
            // $table->string('details',2000);//->nullable();
            $table->string('said')->nullable();
            $table->string('date_said')->nullable();
            $table->string('title_en')->nullable();
            $table->string('details_en')->nullable();
            $table->string('said_en')->nullable();
            $table->string('date_said_en')->nullable();
            $table->integer('day');
            $table->integer('month');
            $table->boolean('show_before')->default(0);
            $table->boolean('show_hijris')->default(1);
            $table->boolean('show_alert')->default(0);
            $table->time('show_alert_time_in')->nullable();
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('phrases');
    }
}
