<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

use App\Models\AgriculturalCalendar;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class AgriculturalCalendarSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
     $csvData = fopen(base_path('database/agricultural_calendars.csv'), 'r');
     $transRow = true;

     //     name
//     title
//     details
//     starting_day
//     starting_month
//     end_day
//end_month
     while (($data = fgetcsv($csvData, 5555, ';')) !== false) {
         if (!$transRow) {
          AgriculturalCalendar::create([
                //    dd( $data[12]),
          //    'id' => $data[1].$data[0],
             'name' => $data[1],
             'title' =>  $data[2],
             'details' =>  $data[3],
             'starting_day' => $data[4],
             'starting_month' => $data[5],
             'end_day' => $data[6],
             'end_month' => $data[7],
             ]);
         }
         $transRow = false;
     }
     fclose($csvData);
     // CalendarHijri::insert([
     //     [
     //         'calendar_tipyans_id' => 1,
     //         'day' => 1,
     //         'month' => 1,
     //         'year' => 1445,
     //     ],
     //     [
     //         'calendar_tipyans_id' => 2,
     //         'day' => 2,
     //         'month' => 1,
     //         'year' => 1445,
     //     ],
     //     [
     //         'calendar_tipyans_id' => 3,
     //         'day' => 3,
     //         'month' => 1,
     //         'year' => 1445,
     //     ],
     //     [
     //         'calendar_tipyans_id' => 4,
     //         'day' => 4,
     //         'month' => 1,
     //         'year' => 1445,
     //     ],
     // ]);

    }
}
