<?php

namespace Database\Seeders;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use App\Models\CalendarHijri;
use Illuminate\Database\Seeder;
class CalendarHijriSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $csvData = fopen(base_path('database/phrases2.csv'), 'r');
        $transRow = true;
        while (($data = fgetcsv($csvData, 5555, ';')) !== false) {
            if (!$transRow) {
                CalendarHijri::create([
                   //    dd( $data[12]),
                'id' => $data[1].$data[0],
                'calendar_tipyans_id' => $data[4].$data[3],
                'day' =>  $data[0],
                'month' =>  $data[1],
                'year' => $data[2],
                'yearm' => $data[5],
                ]);
            }
            $transRow = false;
        }
        fclose($csvData);
        // CalendarHijri::insert([
        //     [
        //         'calendar_tipyans_id' => 1,
        //         'day' => 1,
        //         'month' => 1,
        //         'year' => 1445,
        //     ],
        //     [
        //         'calendar_tipyans_id' => 2,
        //         'day' => 2,
        //         'month' => 1,
        //         'year' => 1445,
        //     ],
        //     [
        //         'calendar_tipyans_id' => 3,
        //         'day' => 3,
        //         'month' => 1,
        //         'year' => 1445,
        //     ],
        //     [
        //         'calendar_tipyans_id' => 4,
        //         'day' => 4,
        //         'month' => 1,
        //         'year' => 1445,
        //     ],
        // ]);
    }
}
