<?php

namespace App\Providers;

use Illuminate\Http\Request;
use Illuminate\Support\ServiceProvider;
use Inertia\Inertia;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Inertia::share([
            // 'config' => function () {
            //     return [
            //         'csrfToken' => csrf_token(),
            //         // 'assetUrl' => config('app.assetUrl'),
            //         // 'pusherKey' => config('broadcasting.connections.pusher.key'),
            //     ];
            // },


            "user_permissions" => function (Request $request) {
                $user = $request->user();
                return   $user ?  $user->user_permissions() : [];
                // return  $company->first()?$company->first() :null;
            },

        ]);
        app()->singleton('lang', function () {
            if (auth()->user()) {

                if (empty(auth()->user()->lang)) {
                    return 'ar';
                } else {
                    return auth()->user()->lang;
                }
            } else {
                if (session()->has('lang')) {
                    return session()->get('lang');
                } else {
                    return 'ar';
                }
            }
        });
        // app()->singleton('lang',function(){
        //     $User=auth()->user();
        //     if($User){
        //         if (empty( $User->lang)) {
        //             return 'ar';
        //         }else{
        //             return  $User->lang;
        //         }
        //     }else{
        //         return 'ar';
        //     }
        // });
    }
}
