<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAgriculturalCalendarsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
//     name
//     title
//     details
//     starting_day
//     starting_month
//     end_dayend_month


    public function up()
    {
        Schema::create('agricultural_calendars', function (Blueprint $table) {
          $table->id();
          $table->integer("user_id")->nullable();
          $table->text('name');
          $table->text('title');
          $table->text('details');
           $table->integer('starting_day');
           $table->integer('starting_month');
           $table->integer('end_day');
           $table->integer('end_month');
           // $table->enum('type_presences', ['A', 'B','C','D']);
           // $table->time('time_in')->time()->nullable();
           $table->boolean('active')->default(1);
           $table->softDeletes();
           $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('agricultural_calendars');
    }
}
