<?php

namespace Database\Seeders;

use Carbon\Carbon;

use App\Models\PrayerTime;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PrayerTimeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    // string    oop="https://api.aladhan.com/v1/timingsByAddress/09-03-2015?address=Dubai,UAE&method=8";
    public function run()
    {
//  DB::table('PrayerTimes')->truncate();
//  PrayerTime::truncate();
  $csvData = fopen(base_path('database/prayer_times.csv'), 'r');
  $transRow = true;
  while (($data = fgetcsv($csvData, 555, ';')) !== false) {
    // $month = Carbon::parse("28/06/2022")->format('m');// date('d/m/Y', $data[0]);
    // $date2=date('d/m/Y', strtotime());
    // $date2=date($data[0])->format('m-Y');
      if (!$transRow) {
        PrayerTime::create([
            'id' =>$data[0].$data[2].$data[1].$data[3].$data[5],
            'locations_id' => $data[0],
                'month' => $data[2],
                'day' => $data[1],
                // dd($month),

                // date('m','28/07/2023'),
                // 'day' =>  $data[0]->format('D'),//date('m', $data[0]),
                // 'month' => $data[0]->format('M'),// date('m', $data[0]),
                // dd( $data[0]),
                'fajr' =>  Carbon::parse($data[4] .":". $data[3])->isoFormat('HH:mm'), //$data[2] .":". $data[3].":00",
                'duhur' => Carbon::parse($data[8] .":". $data[7])->isoFormat('HH:mm'), //$data['DH_H'] . ":" . $data['DH_M'],
                'asr' => Carbon::parse($data[10] .":". $data[9])->isoFormat('HH:mm'), //$data['AS_H'] . ":" . $data['AS_M'],
                'maghrib' =>Carbon::parse($data[12] .":". $data[11])->isoFormat('HH:mm'), //$data['MA_H'] . ":" . $data['MA_M'],
                'isha' => Carbon::parse($data[14] .":". $data[13])->isoFormat('HH:mm'), //$data['IS_H'] . ":" . $data['IS_M'],
                'amsek' => Carbon::parse($data[4] .":". $data[3])->isoFormat('HH:mm'), // $data['FJ_H'] . ":" . $data['FJ_M'],
                'tsph' =>  Carbon::parse($data[4] .":". $data[3])->isoFormat('HH:mm'), //$data['FJ_H'] . ":" . $data['FJ_M'],
                'sunrise' =>  Carbon::parse($data[6] .":". $data[5])->isoFormat('HH:mm'), //$data['SH_H'] . ":" . $data['SH_M'],
          ]);
      }
      $transRow = false;
  }
  fclose($csvData);

//   foreach ($data as $player)
//   {
//       DB::table('prayer_times')->insert(
//           [

//                 'locations_id' => 1,
//                 'month' => 1,
//                 'day' => 1,
//                 'fajr' =>  $player['First Name'] . " " . $player['Last Name'],,
//                 'duhur' => '10:00:00',
//                 'asr' => '15:33:00',
//                 'maghrib' => '18:22:00',
//                 'isha' => '19:30:00',
//                 'amsek' => '02:55:00',
//                 'tsph' => '04:22:00',
//                 'sunrise' => '06:00:00',
//               'name' => $player['First Name'] . " " . $player['Last Name'],
//               'team' => '0',
//               'position' => '0',
//               'played' => $player['Played'],
//               'injury_status' => $player['Injury Indicator'],
//               'injury_type' => $player['Injury Details'],
//               'fd_salary' => $player['Salary'],
//               'fd_fppg' => $player['FPPG'],
//               'opponent' => '0'
//           ]
//       );
//   }
}
// private function seedFromCSV($filename, $deliminator = ",")
// {
//   if(!file_exists($filename) || !is_readable($filename))
//   {
//       return FALSE;
//   }
//   $header = NULL;
//   $data = array();
//   if(($handle = fopen($filename, 'r')) !== FALSE)
//   {
//       while(($row = fgetcsv($handle, 1000, $deliminator)) !== FALSE)
//       {
//           if(!$header) {
//               $header = $row;
//           } else {
//               $data[] = array_combine($header, $row);
//           }
//       }
//       fclose($handle);
//   }
//   return $data;
// }
    // Prayer_time::insert([
    //         [
    //             'locations_id' => 1,
    //             'month' => 1,
    //             'day' => 1,
    //             'fajr' => '05:00:00',
    //             'duhur' => '10:00:00',
    //             'asr' => '15:33:00',
    //             'maghrib' => '18:22:00',
    //             'isha' => '19:30:00',
    //             'amsek' => '02:55:00',
    //             'tsph' => '04:22:00',
    //             'sunrise' => '06:00:00',

    //         ],
    //         [
    //             'locations_id' => 2,
    //             'month' => 1,
    //             'day' => 2,
    //             'fajr' => '05:00:00',
    //             'duhur' => '10:00:00',
    //             'asr' => '15:33:00',
    //             'maghrib' => '18:22:00',
    //             'isha' => '19:30:00',
    //             'amsek' => '02:55:00',
    //             'tsph' => '04:22:00',
    //             'sunrise' => '06:00:00',


    //         ],
    //         [
    //             'locations_id' => 3,
    //             'month' => 1,
    //             'day' => 3,
    //             'fajr' => '05:00:00',
    //             'duhur' => '10:00:00',
    //             'asr' => '15:33:00',
    //             'maghrib' => '18:22:00',
    //             'isha' => '19:30:00',
    //             'amsek' => '02:55:00',
    //             'tsph' => '04:22:00',
    //             'sunrise' => '06:00:00',


    //         ],
    //         [
    //             'locations_id' => 4,
    //             'month' => 1,
    //             'day' => 4,
    //             'fajr' => '05:00:00',
    //             'duhur' => '10:00:00',
    //             'asr' => '15:33:00',
    //             'maghrib' => '18:22:00',
    //             'isha' => '19:30:00',
    //             'amsek' => '02:55:00',
    //             'tsph' => '04:22:00',
    //             'sunrise' => '06:00:00',


    //         ],
    //     ]);
    // }
}
